Serializer.h File Reference
`#include <string>`
`#include <vector>`
`#include <fstream>`
`#include <rcsb/rcsb_types.h>`
`#include <rcsb/BlockIO.h>`
Include dependency graph for Serializer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Serializer

## Enumerations

enum | eFileMode { NO_MODE = 0 , READ_MODE , CREATE_MODE , UPDATE_MODE , VIRTUAL_MODE }

## Variables

const int | NO_TYPE = 0
const unsigned int | STRINGS_TYPE = 1
const unsigned int | STRING_TYPE = 2
const int | INT_TYPE = 3
const int | LONG_TYPE = 4
const int | FLOAT_TYPE = 5
const int | DOUBLE_TYPE = 6
const unsigned int | WORD_TYPE = 7
const unsigned int | WORDS_TYPE = 8
const unsigned int | UWORD_TYPE = 9
const unsigned int | UWORDS_TYPE = 10
const int | INDEX_INCREMENT = 1024

## Enumeration Type Documentation

## eFileMode

enum eFileMode

Enumerator
NO_MODE |
READ_MODE |
CREATE_MODE |
UPDATE_MODE |
VIRTUAL_MODE |

## Variable Documentation

## DOUBLE_TYPE

const int DOUBLE_TYPE = 6

## FLOAT_TYPE

const int FLOAT_TYPE = 5

## INDEX_INCREMENT

const int INDEX_INCREMENT = 1024

## INT_TYPE

const int INT_TYPE = 3

## LONG_TYPE

const int LONG_TYPE = 4

## NO_TYPE

const int NO_TYPE = 0

## STRING_TYPE

const unsigned int STRING_TYPE = 2

## STRINGS_TYPE

const unsigned int STRINGS_TYPE = 1

## UWORD_TYPE

const unsigned int UWORD_TYPE = 9

## UWORDS_TYPE

const unsigned int UWORDS_TYPE = 10

## WORD_TYPE

const unsigned int WORD_TYPE = 7

## WORDS_TYPE

const unsigned int WORDS_TYPE = 8